<script setup>
import {useUserStore} from "@/store/user.js"
import { useDatabaseStore } from "../store/database";
import { ref } from "vue"
import { useRouter } from "vue-router"

const userStore = useUserStore()
const databaseStore = useDatabaseStore()
const router = useRouter()

const url = ref("")

databaseStore.getUrls()

const handleSubmit = () => {
  databaseStore.addUrl(url.value)
}

</script>

<template>
  <div>
    <h1>Home</h1>
    <p>Usuario: {{ userStore.userData?.email }}</p>
    <form @submit.prevent="handleSubmit" class="container-fluid d-flex flex-column mb-4">
        <div class="form-group">
            <label for="text">URL</label>
            <input type="text" class="form-control" id="text" placeholder="Ingrese URL" v-model="url">
        </div>
        <button type="submit" class="btn btn-primary mt-2">Agregar</button>
    </form>
    <h1>Links Agregados</h1>
    <p v-if="databaseStore.loadingDoc">cargando documentos...</p>
    <ul v-else class="list-group">
      <li class="list-group-item" v-for="item in databaseStore.documents" :key="item.id">
        <ul class="list-group">
          <li class="list-group-item">{{item.id}}</li>
          <li class="list-group-item">{{ item.name }}</li>
          <li class="list-group-item">{{ item.short }}</li>
          <li class="list-group-item">
            <button class="btn btn-danger me-2" @click="databaseStore.deleteUrl(item.id)">Eliminar</button>
            <button class="btn btn-success" @click="router.push(`/editar/${item.id}`)">Editar</button>
          </li>
        </ul>
      </li>
    </ul>
  </div>
</template>
